Loading...
Searching...
No Matches
Dune::BCRSMatrix< B, A >::RealRowIterator< T > Class Template Reference

Iterator access to matrix rows More...

`#include <dune/istl/bcrsmatrix.hh>`

Inheritance diagram for Dune::BCRSMatrix< B, A >::RealRowIterator< T >:

## Public Types

typedef std::remove_const< T >::type | ValueType
| The unqualified value type.

## Public Member Functions

| RealRowIterator (row_type *_p, size_type _i)
| constructor
| RealRowIterator ()
| empty constructor, use with care!
| RealRowIterator (const RealRowIterator< ValueType > &it)
size_type | index () const
| return index
std::ptrdiff_t | distanceTo (const RealRowIterator< ValueType > &other) const
std::ptrdiff_t | distanceTo (const RealRowIterator< const ValueType > &other) const
bool | equals (const RealRowIterator< ValueType > &other) const
| equality
bool | equals (const RealRowIterator< const ValueType > &other) const
| equality

## Friends

class | RandomAccessIteratorFacade< RealRowIterator< const ValueType >, const ValueType >
class | RandomAccessIteratorFacade< RealRowIterator< ValueType >, ValueType >
class | RealRowIterator< const ValueType >
class | RealRowIterator< ValueType >

## Detailed Description

template<class B, class A = std::allocator<B>>
template<class T>
class Dune::BCRSMatrix< B, A >::RealRowIterator< T >

Iterator access to matrix rows

## Member Typedef Documentation

## ValueType

template<class B, class A = std::allocator<B>>
template<class T>

typedef std::remove_const<T>::type Dune::BCRSMatrix< B, A >::RealRowIterator< T >::ValueType

The unqualified value type.

## Constructor & Destructor Documentation

## RealRowIterator() [1/3]

template<class B, class A = std::allocator<B>>
template<class T>

Dune::BCRSMatrix< B, A >::RealRowIterator< T >::RealRowIterator | ( | row_type * | _p,
|  | size_type | _i )

inline

constructor

## RealRowIterator() [2/3]

template<class B, class A = std::allocator<B>>
template<class T>

Dune::BCRSMatrix< B, A >::RealRowIterator< T >::RealRowIterator | ( |  | ) |

inline

empty constructor, use with care!

## RealRowIterator() [3/3]

template<class B, class A = std::allocator<B>>
template<class T>

Dune::BCRSMatrix< B, A >::RealRowIterator< T >::RealRowIterator | ( | const RealRowIterator< ValueType > & | it | ) |

inline

## Member Function Documentation

## distanceTo() [1/2]

template<class B, class A = std::allocator<B>>
template<class T>

std::ptrdiff_t Dune::BCRSMatrix< B, A >::RealRowIterator< T >::distanceTo | ( | const RealRowIterator< const ValueType > & | other | ) | const

inline

## distanceTo() [2/2]

template<class B, class A = std::allocator<B>>
template<class T>

std::ptrdiff_t Dune::BCRSMatrix< B, A >::RealRowIterator< T >::distanceTo | ( | const RealRowIterator< ValueType > & | other | ) | const

inline

## equals() [1/2]

template<class B, class A = std::allocator<B>>
template<class T>

bool Dune::BCRSMatrix< B, A >::RealRowIterator< T >::equals | ( | const RealRowIterator< const ValueType > & | other | ) | const

inline

equality

## equals() [2/2]

template<class B, class A = std::allocator<B>>
template<class T>

bool Dune::BCRSMatrix< B, A >::RealRowIterator< T >::equals | ( | const RealRowIterator< ValueType > & | other | ) | const

inline

equality

## index()

template<class B, class A = std::allocator<B>>
template<class T>

size_type Dune::BCRSMatrix< B, A >::RealRowIterator< T >::index | ( |  | ) | const

inline

return index

## Friends And Related Symbol Documentation

## RandomAccessIteratorFacade< RealRowIterator< const ValueType >, const ValueType >

template<class B, class A = std::allocator<B>>
template<class T>

friend class RandomAccessIteratorFacade< RealRowIterator< const ValueType >, const ValueType >

friend

## RandomAccessIteratorFacade< RealRowIterator< ValueType >, ValueType >

template<class B, class A = std::allocator<B>>
template<class T>

friend class RandomAccessIteratorFacade< RealRowIterator< ValueType >, ValueType >

friend

## RealRowIterator< const ValueType >

template<class B, class A = std::allocator<B>>
template<class T>

friend class RealRowIterator< const ValueType >

friend

## RealRowIterator< ValueType >

template<class B, class A = std::allocator<B>>
template<class T>

friend class RealRowIterator< ValueType >

friend

The documentation for this class was generated from the following file:

- bcrsmatrix.hh